Role Name
=========

ansible-role-spamassassin

Installs and configures spamassassin, <https://spamassassin.apache.org>

* Currently supports PostgreSQL as remote backend
* The sql present in the `files` directory is valid for spamassassin 3.4
* Run `spamassassin -D --lint 2>&1 | grep -i failed` to verify that all the required perl packages are present

TODO
----

* Clean the txrep stale data regulary, running the following query (PostgreSQL)

``` sql
DELETE FROM txrep WHERE last_hit <= (now() - INTERVAL '120 day');
```

Role Variables
--------------

There are a lot of them, see the `defaults/main.yml` file

Dependencies
------------

clamav, when one of `spamassassin_clamav_old_plugin` or `spamassassin_clamav_github_plugin` is set to `True`

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>